<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

<!-- We must not load again the modules (humanize, i18n, ngfilter…) they are loaded in the parent template. -->

<!-- We "include" this template, for example from card_show.html.
     It is rendered with the paren't context, with object and all.

     To include this, we must surround it with a div giving the modale an ID:

     {% comment "docstring" %}

     <div id="enlargeImageModal" class="modal">
     {% include "search/modale_enlarge_image.html" %}
     </div>

     In Django templates, we can add or rename context objets with:

     {% with object=... %} … {% endwith %}

     {% endcomment %}
-->

<!-- Use this in the parent template:
     <div id="enlargeImageModal" > -->

<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-body">

      <img src="{{ object.img }}"
          style="max-width: 800;
                   display: block;
                   margin-left: auto;
                   margin-right: auto;
                   width: 70%;
                   max-height: 50vh;
                   object-fit: contain;"
          class="img-responsive;"/>

      <div style="display: block;
                  margin-left: auto;
                  margin-right: auto;
                  width: 70%;">
        <span>
          <h3> {{ object.title }} </h3>
        </span>
        <h3 style="color: dimgrey;">
          <span>
            {{ object.display_authors }} &bull;
          </span>
          <span>
            {{ object.pubs_repr }} &bull;
          </span>
          <span>
            {{ object.price_fmt }}
          </span>
        </h3>
      </div>

    </div>
  </div>
</div>
